Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.dsp.management.exceptions
Enum ManagementException.ErrorCode

    java.lang.Object
      java.lang.Enum<ManagementException.ErrorCode>
          com.bea.dsp.management.exceptions.ManagementException.ErrorCode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ManagementException.ErrorCode>

Enclosing class:
  ManagementException

    public static enum ManagementException.ErrorCode

extends java.lang.Enum<ManagementException.ErrorCode>

Enum Constant Summary
`CANNOT_CREATE_DATASPACE`
`CANNOT_DELETE_DATASPACE`
`COMPENSATION_FAILED`
`DATASPACE_ALREADY_EXISTS`
`DATASPACE_DOES_NOT_EXIST`
`DATASPACE_EAR_ACTIVATION_FAILED`
`DATASPACE_EAR_ALREADY_EXISTS`
`DATASPACE_EAR_DEACTIVATION_FAILED`
`DATASPACE_EAR_DEPLOYMENT_FAILED`
`DATASPACE_EAR_DEPLOYMENT_NOT_FOUND`
`DATASPACE_EAR_UNDEPLOYMENT_FAILED`
`DEPLOYMENT_UNIT_VALIDATION_FAILED`
`ILLEGAL_DATASPACE_NAME`
`ILLEGAL_SESSION_NAME`
`INCREMENTAL_DEPLOYMENT_FATAL_FAILURE`
`INVALID_DEPLOYMENT_UNIT__BUILD`
`INVALID_DEPLOYMENT_UNIT__CONFIG_ARTIFACT`
`INVALID_DEPLOYMENT_UNIT__DELETE_ENTRY_RESOURCE_DOES_NOT_EXIST`
`INVALID_DEPLOYMENT_UNIT__DUPLICATE_ENTRY`
`INVALID_DEPLOYMENT_UNIT__ILLEGAL_DELETE_ENTRY`
`INVALID_DEPLOYMENT_UNIT__SERVICE_ACCOMPANIED`
`INVALID_DEPLOYMENT_UNIT__SERVICE_KIND_MATCH`
`INVALID_DEPLOYMENT_UNIT__SOURCES`
`INVALID_DEPLOYMENT_UNIT__SPACE`
`INVALID_DEPLOYMENT_UNIT__UNSUPPORTED_RESOURCE_TYPE`
`NO_PASSPHRASE_SUPPLIED`
`NON_EXCLUSIVE_SESSION`
`RESOURCE_ALREADY_EXISTS`
`SESSION_CONFLICT`
`SESSION_DOES_NOT_EXIST`
`UNKNOWN_RESOURCE_TYPE`
`WLS_EDIT_LOCK_HELD_BY_ANOTHER_USER`
`WLS_EDIT_LOCK_HELD_BY_USER`
`WLS_RESTART_REQUIRED_BEFORE_ACTIVATION`

Method Summary
`static ManagementException.ErrorCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ManagementException.ErrorCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ILLEGAL_DATASPACE_NAME

    public static final ManagementException.ErrorCode ILLEGAL_DATASPACE_NAME

### ILLEGAL_SESSION_NAME

    public static final ManagementException.ErrorCode ILLEGAL_SESSION_NAME

### DATASPACE_DOES_NOT_EXIST

    public static final ManagementException.ErrorCode DATASPACE_DOES_NOT_EXIST

### CANNOT_CREATE_DATASPACE

    public static final ManagementException.ErrorCode CANNOT_CREATE_DATASPACE

### CANNOT_DELETE_DATASPACE

    public static final ManagementException.ErrorCode CANNOT_DELETE_DATASPACE

### DATASPACE_EAR_DEPLOYMENT_FAILED

    public static final ManagementException.ErrorCode DATASPACE_EAR_DEPLOYMENT_FAILED

### DATASPACE_EAR_ACTIVATION_FAILED

    public static final ManagementException.ErrorCode DATASPACE_EAR_ACTIVATION_FAILED

### DATASPACE_EAR_DEACTIVATION_FAILED

    public static final ManagementException.ErrorCode DATASPACE_EAR_DEACTIVATION_FAILED

### DATASPACE_EAR_UNDEPLOYMENT_FAILED

    public static final ManagementException.ErrorCode DATASPACE_EAR_UNDEPLOYMENT_FAILED

### DATASPACE_EAR_DEPLOYMENT_NOT_FOUND

    public static final ManagementException.ErrorCode DATASPACE_EAR_DEPLOYMENT_NOT_FOUND

### DATASPACE_EAR_ALREADY_EXISTS

    public static final ManagementException.ErrorCode DATASPACE_EAR_ALREADY_EXISTS

### DEPLOYMENT_UNIT_VALIDATION_FAILED

    public static final ManagementException.ErrorCode DEPLOYMENT_UNIT_VALIDATION_FAILED

### INVALID_DEPLOYMENT_UNIT__UNSUPPORTED_RESOURCE_TYPE

    public static final ManagementException.ErrorCode INVALID_DEPLOYMENT_UNIT__UNSUPPORTED_RESOURCE_TYPE

### INVALID_DEPLOYMENT_UNIT__DUPLICATE_ENTRY

    public static final ManagementException.ErrorCode INVALID_DEPLOYMENT_UNIT__DUPLICATE_ENTRY

### INVALID_DEPLOYMENT_UNIT__ILLEGAL_DELETE_ENTRY

    public static final ManagementException.ErrorCode INVALID_DEPLOYMENT_UNIT__ILLEGAL_DELETE_ENTRY

### INVALID_DEPLOYMENT_UNIT__DELETE_ENTRY_RESOURCE_DOES_NOT_EXIST

    public static final ManagementException.ErrorCode INVALID_DEPLOYMENT_UNIT__DELETE_ENTRY_RESOURCE_DOES_NOT_EXIST

### INVALID_DEPLOYMENT_UNIT__SPACE

    public static final ManagementException.ErrorCode INVALID_DEPLOYMENT_UNIT__SPACE

### INVALID_DEPLOYMENT_UNIT__SOURCES

    public static final ManagementException.ErrorCode INVALID_DEPLOYMENT_UNIT__SOURCES

### INVALID_DEPLOYMENT_UNIT__SERVICE_ACCOMPANIED

    public static final ManagementException.ErrorCode INVALID_DEPLOYMENT_UNIT__SERVICE_ACCOMPANIED

### INVALID_DEPLOYMENT_UNIT__SERVICE_KIND_MATCH

    public static final ManagementException.ErrorCode INVALID_DEPLOYMENT_UNIT__SERVICE_KIND_MATCH

### INVALID_DEPLOYMENT_UNIT__BUILD

    public static final ManagementException.ErrorCode INVALID_DEPLOYMENT_UNIT__BUILD

### INVALID_DEPLOYMENT_UNIT__CONFIG_ARTIFACT

    public static final ManagementException.ErrorCode INVALID_DEPLOYMENT_UNIT__CONFIG_ARTIFACT

### INCREMENTAL_DEPLOYMENT_FATAL_FAILURE

    public static final ManagementException.ErrorCode INCREMENTAL_DEPLOYMENT_FATAL_FAILURE

### NON_EXCLUSIVE_SESSION

    public static final ManagementException.ErrorCode NON_EXCLUSIVE_SESSION

### SESSION_CONFLICT

    public static final ManagementException.ErrorCode SESSION_CONFLICT

### SESSION_DOES_NOT_EXIST

    public static final ManagementException.ErrorCode SESSION_DOES_NOT_EXIST

### DATASPACE_ALREADY_EXISTS

    public static final ManagementException.ErrorCode DATASPACE_ALREADY_EXISTS

### RESOURCE_ALREADY_EXISTS

    public static final ManagementException.ErrorCode RESOURCE_ALREADY_EXISTS

### UNKNOWN_RESOURCE_TYPE

    public static final ManagementException.ErrorCode UNKNOWN_RESOURCE_TYPE

### COMPENSATION_FAILED

    public static final ManagementException.ErrorCode COMPENSATION_FAILED

### NO_PASSPHRASE_SUPPLIED

    public static final ManagementException.ErrorCode NO_PASSPHRASE_SUPPLIED

### WLS_EDIT_LOCK_HELD_BY_ANOTHER_USER

    public static final ManagementException.ErrorCode WLS_EDIT_LOCK_HELD_BY_ANOTHER_USER

### WLS_EDIT_LOCK_HELD_BY_USER

    public static final ManagementException.ErrorCode WLS_EDIT_LOCK_HELD_BY_USER

### WLS_RESTART_REQUIRED_BEFORE_ACTIVATION

    public static final ManagementException.ErrorCode WLS_RESTART_REQUIRED_BEFORE_ACTIVATION

Method Detail

### values

    public static ManagementException.ErrorCode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ManagementException.ErrorCode c : ManagementException.ErrorCode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ManagementException.ErrorCode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 Oracle. All Rights Reserved.